package com.sun.org.apache.xml.internal.serializer;

import javax.xml.transform.SourceLocator;
import org.w3c.dom.Node;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.ContentHandler;

interface ExtendedContentHandler extends ContentHandler
{
    public static final int NO_BAD_CHARS = 1;
    public static final int HTML_ATTREMPTY = 2;
    public static final int HTML_ATTRURL = 4;
    
    public abstract void addAttribute(String p0, String p1, String p2, String p3, String p4, boolean p5) throws SAXException;
    
    public abstract void addAttributes(Attributes p0) throws SAXException;
    
    public abstract void addAttribute(String p0, String p1);
    
    public abstract void characters(String p0) throws SAXException;
    
    public abstract void characters(Node p0) throws SAXException;
    
    public abstract void endElement(String p0) throws SAXException;
    
    public abstract void startElement(String p0, String p1, String p2) throws SAXException;
    
    public abstract void startElement(String p0) throws SAXException;
    
    public abstract void namespaceAfterStartElement(String p0, String p1) throws SAXException;
    
    public abstract boolean startPrefixMapping(String p0, String p1, boolean p2) throws SAXException;
    
    public abstract void entityReference(String p0) throws SAXException;
    
    public abstract NamespaceMappings getNamespaceMappings();
    
    public abstract String getPrefix(String p0);
    
    public abstract String getNamespaceURI(String p0, boolean p1);
    
    public abstract String getNamespaceURIFromPrefix(String p0);
    
    public abstract void setSourceLocator(SourceLocator p0);
    
    public abstract void addUniqueAttribute(String p0, String p1, int p2) throws SAXException;
    
    public abstract void addXSLAttribute(String p0, String p1, String p2);
    
    public abstract void addAttribute(String p0, String p1, String p2, String p3, String p4) throws SAXException;
}
